/*htp for OS/2 install script*/
/*written by Bernd Dutkowski (bernd@w-4.de)*/
/*15.07.1997*/

Call RxFuncAdd 'SysLoadFuncs','RexxUtil','SysLoadFuncs'
Call SysLoadFuncs

path= DIRECTORY();

Rc = SysCreateObject('WPFolder','htp for OS/2','<WP_DESKTOP>','OBJECTID=<HTP_FOLDER>;');
IF RC = 0 THEN
 DO
  SAY "ERROR: Could not create folder."
 END
ELSE
DO
 SAY "INFO: Folder created."

 Rc = SysCreateObject('WPProgram','htp','<HTP_FOLDER>','EXENAME='path'\htp.exe;OBJECTID=<HTP_CMDLEXE>;ICONFILE='path'\htp.ico;AUTOCLOSE=NO;PARAMETERS=%* @%**P\%**F;');
 IF RC = 0 THEN
  DO
   SAY "ERROR: Could not create program object 'htp'"
  END
 ELSE
  DO
   SAY "INFO: Program object 'htp' created"
  END

 browser = SysINI('USER','WPURLDEFAULTSETTINGS','DefaultBrowserExe');

 IF ((browser <> 'FEHLER:') & (browser <> 'ERROR:')) THEN
 DO
  Rc = SysCreateObject('WPProgram','htp' || '0a'x || 'reference','<HTP_FOLDER>','PARAMETERS='path'\ref\index.htm;EXENAME='browser';OBJECTID=<HTP_REFERENCE>;');
  IF RC = 0 THEN
   DO
    SAY "ERROR: Could not create program object 'htp reference'"
   END
  ELSE
   DO
    SAY "INFO: Program object 'htp reference' created"
   END
 END
 ELSE
  DO
  SAY "ERROR: Could not found webbrowser"
 END

 Rc = SysCreateObject('WPProgram','htp' || '0a'x || 'readme','<HTP_FOLDER>','OBJECTID=<HTP_README>;EXENAME=e.exe;PARAMETERS='path'\readme.txt;');
 IF RC = 0 THEN
  DO
   SAY "ERROR: Could not create program object 'htp readme'"
  END
 ELSE
  DO
   SAY "INFO: Program object 'htp readme' created"
  END

 Rc = SysCreateObject('WPProgram','htp for OS/2' || '0a'x || 'readme','<HTP_FOLDER>','OBJECTID=<HTP_README_OS2>;EXENAME=e.exe;PARAMETERS='path'\readme.os2;');
 IF RC = 0 THEN
  DO
   SAY "ERROR: Could not create program object 'htp for OS/2 readme'"
  END
 ELSE
  DO
   SAY "INFO: Program object 'htp for OS/2 readme' created"
  END

 Rc = SysCreateObject('WPProgram','htp' || '0a'x || 'uninstall','<HTP_FOLDER>','OBJECTID=<HTP_UNINSTALL>;EXENAME=CMD.EXE;PARAMETERS=/C ""'path'\uninstall.cmd"";');
 IF RC = 0 THEN
  DO
   SAY "ERROR: Could not create program object 'htp uninstall'"
  END
 ELSE
  DO
   SAY "INFO: Program object 'htp uninstall' created"
  END

END

EXIT